Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.taskmgmt.log
Class TaskAssignLog

    java.lang.Object
      org.jbpm.logging.log.ProcessLog
          org.jbpm.taskmgmt.log.TaskLog
              org.jbpm.taskmgmt.log.TaskAssignLog

All Implemented Interfaces:
  java.io.Serializable

    public class TaskAssignLog

extends TaskLog

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `taskNewActorId`
`protected java.lang.String` | `taskOldActorId`

Fields inherited from class org.jbpm.taskmgmt.log.TaskLog
`taskInstance`

Fields inherited from class org.jbpm.logging.log.ProcessLog
`date, index, parent, token`

Constructor Summary
`TaskAssignLog()`
`TaskAssignLog(TaskInstance taskInstance, java.lang.String taskOldActorId, java.lang.String taskNewActorId)`

Method Summary
`java.lang.String` | `getTaskNewActorId()`
`java.lang.String` | `getTaskOldActorId()`
`java.lang.String` | `toString()` provides a text description for this update which can be used e.g. in the admin web console.

Methods inherited from class org.jbpm.taskmgmt.log.TaskLog
`getTaskInstance`

Methods inherited from class org.jbpm.logging.log.ProcessLog
`getActorId, getDate, getId, getIndex, getParent, getToken, setDate, setIndex, setParent, setToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### taskOldActorId

    protected java.lang.String taskOldActorId

### taskNewActorId

    protected java.lang.String taskNewActorId

Constructor Detail

### TaskAssignLog

    public TaskAssignLog()

### TaskAssignLog

    public TaskAssignLog(TaskInstance taskInstance,
                         java.lang.String taskOldActorId,
                         java.lang.String taskNewActorId)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `ProcessLog`
  provides a text description for this update which can be used e.g. in the admin web console.

  Specified by:
    `toString` in class `ProcessLog`

### getTaskNewActorId

    public java.lang.String getTaskNewActorId()

### getTaskOldActorId

    public java.lang.String getTaskOldActorId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD